summaryrefslogtreecommitdiff
path: root/dev-python/tabulate
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/tabulate
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/tabulate')
-rw-r--r--dev-python/tabulate/Manifest1
-rw-r--r--dev-python/tabulate/metadata.xml10
-rw-r--r--dev-python/tabulate/tabulate-0.10.0.ebuild58
3 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/tabulate/Manifest b/dev-python/tabulate/Manifest
new file mode 100644
index 000000000000..2cd5e14f6248
--- /dev/null
+++ b/dev-python/tabulate/Manifest
@@ -0,0 +1 @@
+DIST python-tabulate-0.10.0.gh.tar.gz 66602 BLAKE2B 5ff55e05e8b4a0d3ba8d9e1279dac070eea58075785829ede822cd44dcb3a8cbfc16421e530f7632d0d903e182915b76c0b4968087cfbff1fa30340604939080 SHA512 a5b3fe0b425e68238c28df151a4708a2c88891bc310f582b8dc8ab3f1701bad58189340ee1dde615b83667651014cfb1dd17b3751538002b0fd087569be37646
diff --git a/dev-python/tabulate/metadata.xml b/dev-python/tabulate/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/tabulate/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/tabulate/tabulate-0.10.0.ebuild b/dev-python/tabulate/tabulate-0.10.0.ebuild
new file mode 100644
index 000000000000..2f02e4e634fd
--- /dev/null
+++ b/dev-python/tabulate/tabulate-0.10.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Pretty-print tabular data"
+HOMEPAGE="
+ https://github.com/astanin/python-tabulate/
+ https://pypi.org/project/tabulate/
+"
+SRC_URI="
+ https://github.com/astanin/python-${PN}/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_impl_dep 'sqlite')
+ dev-python/colorclass[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/test_input.py::test_pandas
+ test/test_input.py::test_pandas_firstrow
+ test/test_input.py::test_pandas_keys
+ test/test_output.py::test_pandas_with_index
+ test/test_output.py::test_pandas_without_index
+ test/test_output.py::test_pandas_rst_with_index
+ test/test_output.py::test_pandas_rst_with_named_index
+ )
+ fi
+ epytest
+}